senone_t Struct Reference

8-bit senone PDF structure. More...

`#include <ms_senone.h>`

## Data Fields

senprob_t *** | pdf
| gaussian density mixture weights, organized two possible ways depending on n_gauden: if (n_gauden > 1): pdf[sen][feat][codeword].
logmath_t * | lmath
| log math computation
uint32 | n_sen
| Number senones in this set.
uint32 | n_feat
| Number feature streams.
uint32 | n_cw
| Number codewords per codebook,stream.
uint32 | n_gauden
| Number gaussian density codebooks referred to by senones.
float32 | mixwfloor
| floor applied to each PDF entry
uint32 * | mgau
| senone-id -> mgau-id mapping for senones in this set
int32 * | featscr
| The feature score for every senone, will be initialized inside senone_eval_all.
int32 | aw
| Inverse acoustic weight.

## Detailed Description

8-bit senone PDF structure.

8-bit senone PDF structure. Senone pdf values are normalized, floored, converted to logs3 domain, and finally truncated to 8 bits precision to conserve memory space.

Definition at line 76 of file ms_senone.h.

## Field Documentation

## aw

int32 senone_t::aw

Inverse acoustic weight.

Definition at line 92 of file ms_senone.h.

## featscr

int32* senone_t::featscr

The feature score for every senone, will be initialized inside senone_eval_all.

Definition at line 91 of file ms_senone.h.

Referenced by senone_free(), and senone_init().

## lmath

logmath_t* senone_t::lmath

log math computation

Definition at line 84 of file ms_senone.h.

Referenced by senone_free(), and senone_init().

## mgau

uint32* senone_t::mgau

senone-id -> mgau-id mapping for senones in this set

Definition at line 90 of file ms_senone.h.

Referenced by senone_free(), and senone_init().

## mixwfloor

float32 senone_t::mixwfloor

floor applied to each PDF entry

Definition at line 89 of file ms_senone.h.

Referenced by senone_init().

## n_cw

uint32 senone_t::n_cw

Number codewords per codebook,stream.

Definition at line 87 of file ms_senone.h.

## n_feat

uint32 senone_t::n_feat

Number feature streams.

Definition at line 86 of file ms_senone.h.

## n_gauden

uint32 senone_t::n_gauden

Number gaussian density codebooks referred to by senones.

Definition at line 88 of file ms_senone.h.

Referenced by senone_init().

## n_sen

uint32 senone_t::n_sen

Number senones in this set.

Definition at line 85 of file ms_senone.h.

Referenced by senone_init().

## pdf

senprob_t*** senone_t::pdf

gaussian density mixture weights, organized two possible ways depending on n_gauden: if (n_gauden > 1): pdf[sen][feat][codeword].

Not an efficient representation–memory access-wise–but evaluating the many codebooks will be more costly. if (n_gauden == 1): pdf[feat][codeword][sen]. Optimized for the shared-distribution semi-continuous case.

Definition at line 77 of file ms_senone.h.

Referenced by senone_free().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ms_senone.h